Name: python-gitdb
Version: 0.6.4
Release: %mkrel 1
Summary: A pure-Python git object database
Group: Development/Python
License: BSD
URL: https://github.com/gitpython-developers/gitdb
Source: http://pypi.python.org/packages/source/g/gitdb/gitdb-%{version}.tar.gz
Requires: python-async >= 0.6.1
Requires: python-smmap >= 0.8.0
BuildRequires: pkgconfig(python2)
BuildRequires: pythonegg(2)(setuptools)
BuildRequires: pythonegg(2)(nose)
BuildRequires: pythonegg(2)(async)

%description
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.

%package -n python3-gitdb
Summary: A pure-Python 3 git object database
Group: Development/Python
BuildRequires: pkgconfig(python3)
BuildRequires: pythonegg(3)(setuptools)
BuildRequires: pythonegg(3)(nose)
BuildRequires: pythonegg(3)(async)

%description -n python3-gitdb
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.

This is the Python 3 version of the package.

%prep
%setup -q -n gitdb-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc AUTHORS LICENSE
%{python2_sitearch}/*

%files -n python3-gitdb
%doc AUTHORS LICENSE
%{python3_sitearch}/*


%changelog
* Tue Jan 19 2016 fwang <fwang> 0.6.4-1.mga6
+ Revision: 925784
- 0.6.4

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4-9.mga5
+ Revision: 746636
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.4-8.mga5
+ Revision: 728552
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.4-7.mga5
+ Revision: 688052
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.4-5.mga4
+ Revision: 543501
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.4-4.mga4
+ Revision: 498684
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 378900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 fwang <fwang> 0.5.4-2.mga2
+ Revision: 127002
- add req

* Wed Jul 20 2011 fwang <fwang> 0.5.4-1.mga2
+ Revision: 126953
- imported package python-gitdb

